Create OAuth integration
curl --request POST \
--url https://{tenant}.cubecloud.dev/api/v1/oauth-integrations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"name": "<string>",
"redirectUri": "<string>",
"tokenUrl": "<string>",
"type": "<string>",
"config": {},
"scopes": [
"<string>"
]
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/oauth-integrations"
payload = {
"authUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"name": "<string>",
"redirectUri": "<string>",
"tokenUrl": "<string>",
"type": "<string>",
"config": {},
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authUrl: '<string>',
clientId: '<string>',
clientSecret: '<string>',
name: '<string>',
redirectUri: '<string>',
tokenUrl: '<string>',
type: '<string>',
config: {},
scopes: ['<string>']
})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/oauth-integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authUrl": "<string>",
"clientId": "<string>",
"createdAt": "2023-12-25",
"id": 123,
"name": "<string>",
"redirectUri": "<string>",
"tokenUrl": "<string>",
"type": "<string>",
"updatedAt": "2023-12-25",
"config": {},
"scopes": [
"<unknown>"
]
}OAuth Integrations
Create OAuth integration
POST
/
v1
/
oauth-integrations
Create OAuth integration
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
CreateOAuthIntegrationInput
Response
200 - application/json
⌘I